##
## THIS FILE IS UNDER PUPPET CONTROL. DON'T EDIT IT HERE.
## USE: git clone git+ssh://$USER@puppet.debian.org/srv/puppet.debian.org/git/dsa-puppet.git
##


<Macro vhost-inner-tag2upload.debian.org>
	ServerAdmin debian-admin@lists.debian.org
	DocumentRoot /srv/manager.tag2upload.debian.org/htdocs

	ErrorLog /var/log/apache2/tag2upload.debian.org-error.log
	CustomLog /var/log/apache2/tag2upload.debian.org-access.log privacy

	<Directory /srv/tag2upload.debian.org/htdocs>
		Require all granted
		AllowOverride none
		Options Indexes
	</Directory>

	RewriteEngine On

	<Location />
		ProxyPass "http://localhost:8000/"
		ProxyPassReverse "http://localhost:8000/"
		ProxyPreserveHost On

		Header edit Location "^/" "https://tag2upload.debian.org/"
	</Location>

	<IfModule mod_userdir.c>
		UserDir disabled
	</IfModule>
</Macro>

Use common-debian-service-https-redirect * tag2upload.debian.org

<VirtualHost *:443>
	ServerName tag2upload.debian.org
	ServerAlias webhook.tag2upload.debian.org
	Use common-debian-service-ssl tag2upload.debian.org
	Use common-ssl-HSTS
	Use vhost-inner-tag2upload.debian.org
</VirtualHost>

#
